メインコンテンツへスキップ
POST
/
marketing
/
v3
/
marketing-events
/
events
/
upsert
複数のマーケティングイベントを作成または更新
curl --request POST \
  --url https://api.hubapi.com/marketing/v3/marketing-events/events/upsert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "customProperties": [
        {
          "isEncrypted": true,
          "isLargeValue": true,
          "name": "<string>",
          "persistenceTimestamp": 123,
          "requestId": "<string>",
          "selectedByUser": true,
          "selectedByUserTimestamp": 123,
          "sourceId": "<string>",
          "sourceLabel": "<string>",
          "sourceMetadata": "<string>",
          "sourceUpstreamDeployable": "<string>",
          "sourceVid": [
            123
          ],
          "timestamp": 123,
          "unit": "<string>",
          "updatedByUserId": 123,
          "useTimestampAsPersistenceTimestamp": true,
          "value": "<string>"
        }
      ],
      "eventName": "<string>",
      "eventOrganizer": "<string>",
      "externalAccountId": "<string>",
      "externalEventId": "<string>",
      "endDateTime": "2023-11-07T05:31:56Z",
      "eventCancelled": true,
      "eventCompleted": true,
      "eventDescription": "<string>",
      "eventType": "<string>",
      "eventUrl": "<string>",
      "startDateTime": "2023-11-07T05:31:56Z"
    }
  ]
}
'
import requests

url = "https://api.hubapi.com/marketing/v3/marketing-events/events/upsert"

payload = { "inputs": [
        {
            "customProperties": [
                {
                    "isEncrypted": True,
                    "isLargeValue": True,
                    "name": "<string>",
                    "persistenceTimestamp": 123,
                    "requestId": "<string>",
                    "selectedByUser": True,
                    "selectedByUserTimestamp": 123,
                    "sourceId": "<string>",
                    "sourceLabel": "<string>",
                    "sourceMetadata": "<string>",
                    "sourceUpstreamDeployable": "<string>",
                    "sourceVid": [123],
                    "timestamp": 123,
                    "unit": "<string>",
                    "updatedByUserId": 123,
                    "useTimestampAsPersistenceTimestamp": True,
                    "value": "<string>"
                }
            ],
            "eventName": "<string>",
            "eventOrganizer": "<string>",
            "externalAccountId": "<string>",
            "externalEventId": "<string>",
            "endDateTime": "2023-11-07T05:31:56Z",
            "eventCancelled": True,
            "eventCompleted": True,
            "eventDescription": "<string>",
            "eventType": "<string>",
            "eventUrl": "<string>",
            "startDateTime": "2023-11-07T05:31:56Z"
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    inputs: [
      {
        customProperties: [
          {
            isEncrypted: true,
            isLargeValue: true,
            name: '<string>',
            persistenceTimestamp: 123,
            requestId: '<string>',
            selectedByUser: true,
            selectedByUserTimestamp: 123,
            sourceId: '<string>',
            sourceLabel: '<string>',
            sourceMetadata: '<string>',
            sourceUpstreamDeployable: '<string>',
            sourceVid: [123],
            timestamp: 123,
            unit: '<string>',
            updatedByUserId: 123,
            useTimestampAsPersistenceTimestamp: true,
            value: '<string>'
          }
        ],
        eventName: '<string>',
        eventOrganizer: '<string>',
        externalAccountId: '<string>',
        externalEventId: '<string>',
        endDateTime: '2023-11-07T05:31:56Z',
        eventCancelled: true,
        eventCompleted: true,
        eventDescription: '<string>',
        eventType: '<string>',
        eventUrl: '<string>',
        startDateTime: '2023-11-07T05:31:56Z'
      }
    ]
  })
};

fetch('https://api.hubapi.com/marketing/v3/marketing-events/events/upsert', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "customProperties": [
        {
          "isEncrypted": true,
          "isLargeValue": true,
          "name": "<string>",
          "persistenceTimestamp": 123,
          "requestId": "<string>",
          "selectedByUser": true,
          "selectedByUserTimestamp": 123,
          "sourceId": "<string>",
          "sourceLabel": "<string>",
          "sourceMetadata": "<string>",
          "sourceUpstreamDeployable": "<string>",
          "sourceVid": [
            123
          ],
          "timestamp": 123,
          "unit": "<string>",
          "updatedByUserId": 123,
          "useTimestampAsPersistenceTimestamp": true,
          "value": "<string>"
        }
      ],
      "eventName": "<string>",
      "eventOrganizer": "<string>",
      "id": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "endDateTime": "2023-11-07T05:31:56Z",
      "eventCancelled": true,
      "eventCompleted": true,
      "eventDescription": "<string>",
      "eventType": "<string>",
      "eventUrl": "<string>",
      "objectId": "<string>",
      "startDateTime": "2023-11-07T05:31:56Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
inputs
object[]
必須

レスポンス

successful operation

completedAt
string<date-time>
必須

リクエストが完了した時点のタイムスタンプ。

results
object[]
必須
startedAt
string<date-time>
必須

リクエストの処理が開始された時点のタイムスタンプ。

status
enum<string>
必須

レスポンスのステータス。

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

リクエストの結果。

numErrors
integer<int32>

リクエスト中に発生したエラーの数。

requestedAt
string<date-time>

リクエストが送信された時点のタイムスタンプ。

最終更新日 2026年4月10日